PVCOMPFA/PVCOMPSW/v3.5(1)

NAME
pv35compfa - scan a protein or DNA sequence library for similar sequences using the FASTA algorithm in parallel on a network of machines running pvm3. pv35compsw - scan a protein or DNA sequence library for similar sequences using the Smith-Waterman algorithm in parallel on a network of machines running pvm3. ps35compfa - evaluate sequence comparison parameters using the FASTA algorithm and super-family-annotated libraries. ps35compsw - evaluate sequence comparison parameters using the Smith-Waterman algorithm and super-family-annotated libraries.

SYNOPSIS
pv35compfa [-Q|q -B -b # -d # -E # -f # -g # -H -i J # -n -o -p # -R STATFILE -r "+n/-m" -S -s SMATRIX -w # -1 ] query-library reference-library [ ktup ] pv35compfa [-QBbcefgHiJnopRrSsw1] - interactive mode pv35compsw [-Q|q -B -b # -e -f delval -g gapval -i -n -p # -R -R STATFILE -r "+n/-m" -S -s -s SMATRIX
 ] query-library reference-library [ ktup ] pv35compsw [-QBbefgnpRrsS] - interactive mode

DESCRIPTION
pv35compfa and pv35compsw compare all of the sequences in one DNA or protein sequence library (the query library) with to all of the entries in a reference sequence library using the FASTA (pv35compfa) or Smith-Waterman (pv35compsw) algorithms. For example, pv35compfa can compare a library of protein sequences to all of the sequences in the NBRF PIR protein sequence database. pv35compfa and pv35compsw are designed to run in parallel on networks of unix workstations using the PVM parallel programming system. (For more information on PVM, send email to "netlib@ornl.gov" with the message "send index for pvm3").

pv35compfa uses the rapid sequence comparison algorithm described in Pearson and Lipman, Proc. Natl. Acad. USA, (1988) 85:2444. The program can be invoked either with command line arguments or in interactive mode. The optional third argument, ktup sets the sensitivity and speed of the search. If ktup=2, similar regions in the two sequences being compared are found by looking at pairs of aligned residues; if ktup=1, single aligned amino acids are examined. ktup can be set to 2 or 1 for protein sequences, or from 1 to 6 for DNA sequences. The default if ktup is not specified is 2 for proteins and 6 for DNA.

pv35compfa compares a library of query sequences (there need be only one) to a reference sequence library. Normally pv35compfa sorts the output by the initn score. By using the -1 option, sequences are ranked by their init1 score. Alternative, the -o option causes optimized scores to be calculated for every sequence greater than a threshold and the output to be sorted by the optimized scores.

pv35compsw uses the rigorous Smith-Waterman algorithm to compare protein or DNA sequences. The gap penalties and scoring matrices can be modified with the -f , -k , and -s options.

pv35compfa (and pv35compsw ) will automatically decide whether the query sequence is DNA or protein by reading the query sequence as protein and determining whether the `amino-acid composition' is more than 85% A+C+G+T.

ps35compfa and ps35compsw are versions of pv35compfa and pv35compsw that evaluate the quality of a search by reporting how many high-scoring related sequences and low-scoring unrelated sequences were found. These programs require that both the query library and the reference library be annotated with superfamily numbers for every sequence in the library.

OPTIONS

Pv35compfa and pv35compsw now support all the options of the fasta3(_t) programs.

-B  Report z-score, rather than bit-score, in list of best hits.

-b #
    The number of similarity scores to be shown (10 by default).

-E #
    Expectation value limit for displaying best scores.

-d #
    The number of alignments to be shown.

-f #
    (delval) penalty for the first residue in a gap. -12 by default for proteins.

-g #
    (gapval) penalty for additional residues in a gap after the first. -2 by default for proteins.

-H #
    turn on histogram display (off by default).

-i  invert (reverse complement) DNA sequence.

-J M:N
    start at the M-th sequence in the query library and continue to the "N-th". By default, J=1 and the search begins with the first sequence and ends with the last, but sometimes it makes sense to start in the middle of the query library if a run partially completed, and to finish "early" if the analysis will be run on several parallel clusters.

-n  Force the program to use DNA sequence parameters.

-p #
    Number of "slave" processors to use. Typically, one less than the number of processors available with pv35compfa so that one processor can be used to collate results. With pv35compsw , it is more efficient to use every processor as a slave and not use this option.

-Q -q
    Quiet option. The programs will not prompt for input.

-R file
    (STATFILE) Causes pv35compfa and pv35compsw to write out the sequence identifier, superfamily number (if available), and similarity scores to STATFILE for every sequence in the library. These results are not sorted.

-r  specify DNA match/mismatch ratio as "+3/-2". Default is "+5/-4". The "+" and "-" are required.

-S  Treat lower case residues as low complexity regions.

-s file
    the filename of an alternative scoring matrix file.

pv35compfa only

-1  sort similarity scores by init1 scores instead of initn scores.

-c #
    (OPTCUT) the threshold for optimization with the -o option.

-o  (no-optimize); causes pv35compfa not to perform the default optimization on all of the sequences in the library with initn scores greater than OPTCUT .

-y #
    Width for limited optimization (32 by default).

FILES

Query library files must be in Pearson/FASTA format, e.g.
>seq-id | sfnum descriptive line
tmlyrghi... (sequence)

pv35compfa and pv35compsw recognize the following library formats: 0 - Pearson/FASTA; 1 - Genbank tape; 2 - NBRF/PIR Codata; 3 - EMBL/SWISS-PROT; 5 - NBRF/PIR VMS.

Scoring matrices - These programs use a different format for the scoring (PAM) matrix file from FASTA; they use the PAM matrix file that is used by BLASTP and produced by Altshul's "pam.c" program in the BLAST package.

BUGS
The program has been tested extensively only with type 0 and type 5 files. This documentation file may not be up to date.

AUTHOR
Bill Pearson
wrp@virginia.EDU Version: $ Id: $